Vidyo Platform Integration
==========================

This module helps developers integrate with the VidyoPlatform. It provides
configuration for connecting with the VidyoPortal APIs, convenience methods
for managing meeting/conference rooms on Vidyo, and a basic Block plugin
system for adding Vidyo conference rooms to a Drupal install.

Concepts
--------

### Room
A single session within Vidyo where one or multiple attendees can share their
microphone, camera, and/or screen. You can think of this as a meeting room or
a conference room. Besides the room owner (the _Vidyo_ room owner),
all other attendees are considered guests by default.

### Moderator
Rooms can have moderators which have control over who can share their
microphone and camera. Moderators can also optionally boot participants
or lock the room.

### PIN
An access code required to join the room; typically 6-digits long.
By default, any rooms generated by this module will have an access code
associated with it.

### Room Extension
The extension associated with this room when joining via phone.

### Room Key
A machine name for the room; used in the room URL.

Room Renderers
-----------------
This module provides a block for connecting to a Vidyo room. Other modules can
provide renderers to determine how the room appears to the user. This module
only provides a link for launching the native Vidyo app.

To provide a custom renderer, you must create an implementation of 
`VidyoRoomRendererInterface`.

See `src/plugin/VidyoRoomRenderer/VidyoApp.php` for an example.

API Configuration
-----------------
To configure the connection with Vidyo, you'll need a portal URL, a portal user,
and the password for that user.

These credentials can be entered at `/admin/config/services/vidyo-platform`.

Additional Documentation
------------------------
* About Vidyo: https://www.vidyo.com
* Vidyo API documentation: https://support.vidyocloud.com/hc/en-us/articles/360007515433-Web-Services-API-User-Guides
* VidyoPlatform Overview: https://vidyo.github.io/vidyoplatform.github.io/
